# Lights Out Plugin

This unofficial TaleSpire that looks for the victory conditions for a LightOut puzzle.
Basically triggers the configured StatMessaging write when all of the specified assets
are in the specified state.

Video Demo: https://youtu.be/KOWhUP4i_yw

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

Set the desired setting using the R2ModMan config for the plugin or keep the default settings.


## Usage

Warning: This plugin is used in conjunction with a properly configured Relay Plugin configuration.
         A sample, Relay Plugin configuration is provided for a 3x3 Lights Out puzzle.

There are a number of R2ModMan settings for this plugin but, once configured, the plugin runs on
its own without any user interaction.

Configruations are:

Asset Prefix = Indicates the starting portion of the assets that are to be checked. Default: Lever.
Asset Count = Indicates the number of assets in the puzzle. Default: 9
Victory State = The value of the victory state. When all puzzle assets are this state, victory occurs.
Victory Set = The StatMessaging key, asset and value to be set when victory occurs.
              Use the format: StatMessagingKey:AssetName:Value
			  
Note: A corresponding configuration for Relay Plugin is needed. The number of puzzle assets in the
      Relay Plugin configuration needs to match the Asset Count in order for the puzzle to work.
	  
### Sample Puzzle

To use the sample 3x3 Lights Out puzzle, ensure that you have EAR and Relay Plugin running.

Create a board with:

9 levers included in this pack called "Lever01" to "Level09".
1 door included in this pack called "Door01".

Do NOT use the lever or door that comes with core TS - they will not work.



